// point_example.01.c
// IA_Point<int> and IA_Point<double> constructor example

#include "IntPoint.h"
#include "DblPoint.h"

int main()
{
    IA_Point<int> ipoint(0,0,0);
    // ipoint == origin in 3D integral Cartesian Space
    
    IA_Point<double> fpoint(1.3,2.7);
    // fpoint is a point in 2D real Cartesian space
    
    cout << "ipoint has value " << ipoint << "\n";
    cout << "fpoint has value " << fpoint << "\n";

    return 0;
}
